/* Utility Classes */

.right{
	float: right;
}

.left{
	float: left;
}

.clearfix:before, .clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.text-left{
	text-align: left;
}

.text-right{
	text-align: right;
}

.text-center{
	text-align: center;
}

.text-justify{
	text-align: justify;
}


/* Visibility classes, to go with small, medium and large grid */
@media only screen {
	.show-for-small-only{
		display: inherit !important;
	}

	.show-for-medium-only,
	.show-for-medium-up,
	.show-for-large-only,
	.show-for-large-up,
	.show-for-xlarge-only,
	.show-for-xlarge-up{
		display: none !important;
	}

	.hide-for-small-only{
		display: none !important;
	}

	.hide-for-medium-only,
	.hide-for-medium-up,
	.hide-for-large-only,
	.hide-for-large-up,
	.hide-for-xlarge-only,
	.hide-for-xlarge-up{
		display: inherit !important;
	}
} 

/* Medium screens */
/* min-width 641px, medium screens */
@media only screen and (min-width: 40.063em) { 
	.show-for-small-only{
		display: none !important;
	}

	.show-for-medium-up,
	.show-for-medium-only{
		display: inherit !important;
	}

	.hide-for-small-only{
		display: inherit !important;
	}

	.hide-for-medium-up,
	.hide-for-medium-only{
		display: none !important;

	}
} 

/* Large screens*/
/* min-width 1025px, large screens */
@media only screen and (min-width: 64.063em) {
	.show-for-medium-only{
		display: none !important;
	}

	.show-for-large-only,
	.show-for-large-up{
		display: inherit !important;
	}

	.hide-for-medium-only{
		display: inherit !important;
	}

	.hide-for-large-only,
	.hide-for-large-up{
		display: none !important;
	}
} 

/* XLarge screens*/
/* min-width 1441px, xlarge screens */
@media only screen and (min-width: 90.063em) {
	.show-for-large-only{
		display: none !important;
	}

	.show-for-xlarge-only,
	.show-for-xlarge-up{
		display: inherit !important;
	}

	.hide-for-large-only{
		display: inherit !important;
	}

	.hide-for-xlarge-only,
	.hide-for-xlarge-up{
		display: none !important;
	}
} 
